#!/usr/bin/env python
# -*- coding: utf-8 -*-
'''
Created on 16 Jun 2010

@author: tcezard
'''
import SimpleXMLRPCServer
import sys


class DummyWiki:
    def __init__(self, encoding):
        self._encoding=encoding
    
    def get_ascii_content(self):
        return "qwerty".encode(self._encoding)
    
    def get_coded_content(self):
        return u"£".encode(self._encoding)

if len(sys.argv)<2:
    print 'default encoding: iso-8859-1'
    encoding='iso-8859-1'
else:
    encoding=sys.argv[1]
    
server = SimpleXMLRPCServer.SimpleXMLRPCServer(("localhost", 8000))
server.register_instance(DummyWiki(encoding=encoding))
server.register_function(lambda astr: '_' + astr, '_string')
server.serve_forever()